Sun Java System Application Server Enterprise Edition 8.1 2005Q2 Administration Guide

- Previous: To configure the HTTP Service keep-alive subsystem
- Next: To configure the HTTP protocol for the HTTP Service

## Configuring the HTTP Service Connection Pool

1. Click Load Defaults to load the default values.

2. In the Max Pending Count field, type the maximum number of pending connections to be allowed for an HTTP listener.

   The default that the Application Server software specifies is 4096.

   Note –

   The actual value for the default maximum pending count depends on the operating system. For example, for the Solaris operating system (OS), the default maximum pending count is determined by the `tcp_conn_req_max_q` kernel parameter of the TCP driver. The value of this parameter is 128. To determine the default maximum pending count on the Solaris OS, type the command `ndd /dev/tcp tcp_conn_req_max_q`.

3. In the Queue Size field, type the maximum number of outstanding connections the server can have

   The default is 4096.

4. In the Receive Buffer Size field, type the size of the receive buffer for an HTTP listener.

   The default is 4096.

5. In the Send Buffer Size field, type the size of the send buffer for an HTTP listener.

   The default is 8192.

6. Click Save to save the changes, or Load Defaults to return to the default settings.

- Previous: To configure the HTTP Service keep-alive subsystem
- Next: To configure the HTTP protocol for the HTTP Service

- © 2010, Oracle Corporation and/or its affiliates